package com.txznet.android_call;

import android.app.Application;
import android.util.Log;

import com.txznet.sdk.TXZCallManager;
import com.txznet.sdk.TXZConfigManager;
import com.txznet.sdk.TXZConfigManager.InitListener;

public class CallApp extends Application {
	public static final String TAG = "CallApp";
	
	public static CallApp sInstance = null;

	public static CallApp getApp() {
		return sInstance;
	}

	@Override
	public void onCreate() {
		sInstance = this;

		super.onCreate();

		Log.d(TAG, "CallApp begin initialize");
		
		TXZConfigManager.getInstance().initialize(this, new InitListener() {
			@Override
			public void onSuccess() {
				Log.d(TAG, "CallApp initialize onSuccess");
				// 设置电话工具
				TXZCallManager.getInstance().setCallTool(new AndroidCallTool());
			}

			@Override
			public void onError(int errCode, String errDesc) {
				Log.d(TAG, "CallApp initialize onError: " + errCode + "-" + errDesc);
			}
		});
	}
}
